Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2
Class Messages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.axis2.Messages

    public class Messages

extends MessageBundle

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`Messages()`

Method Summary
`java.lang.String` | `msgBpelEventListenerRegistered(java.lang.String listenerCN)`
`java.lang.String` | `msgDAOInstantiationFailed(java.lang.String className)`
`java.lang.String` | `msgMessageExchangeInterceptorRegistered(java.lang.String interceptorCN)`
`java.lang.String` | `msgOdeBpelServerStartFailure()`
`java.lang.String` | `msgOdeDbConfigError()`
`java.lang.String` | `msgOdeDbPoolStartupFailed(java.lang.String url)`
`java.lang.String` | `msgOdeInitDAOErrorReadingProperties(java.io.File propfile)`
`java.lang.String` | `msgOdeInitExternalDbFailed(java.lang.String dbDataSource)`
`java.lang.String` | `msgOdeInitHibernatePropertiesNotFound(java.io.File expected)`
`java.lang.String` | `msgOdeInitialized()`
`java.lang.String` | `msgOdeInstalled(java.lang.String dir)`
`java.lang.String` | `msgOdeInstallErrorCfgNotFound(java.io.File configFile)`
`java.lang.String` | `msgOdeInstallErrorCfgReadError(java.io.File configFile)`
`java.lang.String` | `msgOdeProcessDeploymentFailed(java.io.File dd, java.lang.String suid)`
`java.lang.String` | `msgOdeProcessUndeploymentFailed(javax.xml.namespace.QName pid)`
`java.lang.String` | `msgOdeShutdownCompleted()`
`java.lang.String` | `msgOdeStarted()`
`java.lang.String` | `msgOdeStarting()`
`java.lang.String` | `msgOdeUsingDAOImpl(java.lang.String className)`
`java.lang.String` | `msgOdeUsingExternalDb(java.lang.String dbDataSource)`
`java.lang.String` | `msgPollingStarted(java.lang.String path)`
`java.lang.String` | `msgServiceUnitDeployFailed(java.lang.String serviceUnitID)`
`java.lang.String` | `msgServiceUnitInitFailed(java.lang.String serviceUnitID)`
`java.lang.String` | `msgServiceUnitShutdownFailed(java.lang.String serviceUnitID)`
`java.lang.String` | `msgServiceUnitStartFailed(java.lang.String serviceUnitID)`
`java.lang.String` | `msgServiceUnitStopFailed(java.lang.String serviceUnitID)`

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### msgOdeInstallErrorCfgNotFound

    public java.lang.String msgOdeInstallErrorCfgNotFound(java.io.File configFile)

### msgOdeInstallErrorCfgReadError

    public java.lang.String msgOdeInstallErrorCfgReadError(java.io.File configFile)

### msgOdeInstalled

    public java.lang.String msgOdeInstalled(java.lang.String dir)

### msgOdeInitHibernatePropertiesNotFound

    public java.lang.String msgOdeInitHibernatePropertiesNotFound(java.io.File expected)

### msgOdeUsingExternalDb

    public java.lang.String msgOdeUsingExternalDb(java.lang.String dbDataSource)

### msgOdeInitExternalDbFailed

    public java.lang.String msgOdeInitExternalDbFailed(java.lang.String dbDataSource)

### msgOdeInitDAOErrorReadingProperties

    public java.lang.String msgOdeInitDAOErrorReadingProperties(java.io.File propfile)

### msgOdeStarting

    public java.lang.String msgOdeStarting()

### msgOdeStarted

    public java.lang.String msgOdeStarted()

### msgPollingStarted

    public java.lang.String msgPollingStarted(java.lang.String path)

### msgOdeInitialized

    public java.lang.String msgOdeInitialized()

### msgOdeDbPoolStartupFailed

    public java.lang.String msgOdeDbPoolStartupFailed(java.lang.String url)

### msgOdeBpelServerStartFailure

    public java.lang.String msgOdeBpelServerStartFailure()

### msgOdeProcessDeploymentFailed

    public java.lang.String msgOdeProcessDeploymentFailed(java.io.File dd,
                                                          java.lang.String suid)

### msgOdeProcessUndeploymentFailed

    public java.lang.String msgOdeProcessUndeploymentFailed(javax.xml.namespace.QName pid)

### msgServiceUnitDeployFailed

    public java.lang.String msgServiceUnitDeployFailed(java.lang.String serviceUnitID)

### msgServiceUnitInitFailed

    public java.lang.String msgServiceUnitInitFailed(java.lang.String serviceUnitID)

### msgServiceUnitStartFailed

    public java.lang.String msgServiceUnitStartFailed(java.lang.String serviceUnitID)

### msgServiceUnitStopFailed

    public java.lang.String msgServiceUnitStopFailed(java.lang.String serviceUnitID)

### msgServiceUnitShutdownFailed

    public java.lang.String msgServiceUnitShutdownFailed(java.lang.String serviceUnitID)

### msgBpelEventListenerRegistered

    public java.lang.String msgBpelEventListenerRegistered(java.lang.String listenerCN)

### msgMessageExchangeInterceptorRegistered

    public java.lang.String msgMessageExchangeInterceptorRegistered(java.lang.String interceptorCN)

### msgOdeShutdownCompleted

    public java.lang.String msgOdeShutdownCompleted()

### msgOdeUsingDAOImpl

    public java.lang.String msgOdeUsingDAOImpl(java.lang.String className)

### msgDAOInstantiationFailed

    public java.lang.String msgDAOInstantiationFailed(java.lang.String className)

### msgOdeDbConfigError

    public java.lang.String msgOdeDbConfigError()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD